/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: AllTests.java 2084 2007-11-27 14:53:31Z s3460 $
package at.spardat.xma.boot.test;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 *
 * @author CGS
 * @version $Id: AllTests.java 2084 2007-11-27 14:53:31Z s3460 $
 */
public class AllTests {

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for at.spardat.xma.boot.test");

        suite.addTest(new TestSuite( FCTest.class));
        suite.addTest(new TestSuite( UtilTest.class));
        suite.addTest(new TestSuite( FCResourceTest.class));
        suite.addTest(new TestSuite( AppDescrTest.class));

        suite.addTest(new TestSuite(FileCacheStoreTest.class));
        suite.addTest(new TestSuite(VersionNumberTest.class));
        suite.addTest(new TestSuite(HostnameVerifierImplTest.class));
        suite.addTest(new TestSuite(XMA_URITest.class));
      return suite;
    }
}
